[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPHashList.FindIndexOf

Return index of named item.

## Declaration

Source position: contnrs.pp line 244

`public function TFPHashList.FindIndexOf(`
`const AName: shortstring`
`):Integer;`

## Arguments

`AName` |  | Key value to look for

## Function result

Index of the key

## Description

FindIndexOf returns the index of the key AName, or -1 if the key does not exist in the list. It uses the hash value to search for the key.

## See also

TFPHashList.HashOfIndex |  | Return the hash valye of an item by index
TFPHashList.NameOfIndex |  | Returns the key name of an item by index
TFPHashList.IndexOf |  | Return the index of the data pointer
TFPHashList.Find |  | Find data associated with key
TFPHashList.FindWithHash |  | Find first element with given name and hash value

The latest version of this document can be found at lazarus-ccr.sourceforge.net.